javax.media.j3d

## Class WakeupOnViewPlatformEntry

- java.lang.Object
- - javax.media.j3d.WakeupCondition
  - - javax.media.j3d.WakeupCriterion
    - - javax.media.j3d.WakeupOnViewPlatformEntry

-     public final class WakeupOnViewPlatformEntry
      extends WakeupCriterion

  Class specifying a wakeup when an active ViewPlatform intersects the specified boundary.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WakeupOnViewPlatformEntry(Bounds region)` Constructs a new WakeupOnEntry criterion.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Bounds` | `getBounds()` Returns this object's bounds specification
    `ViewPlatform` | `getTriggeringViewPlatform()` Retrieves the ViewPlatform node that caused the wakeup.

    - ### Methods inherited from class javax.media.j3d.WakeupCriterion

      `hasTriggered`

    - ### Methods inherited from class javax.media.j3d.WakeupCondition

      `allElements, triggeredElements`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WakeupOnViewPlatformEntry

          public WakeupOnViewPlatformEntry(Bounds region)

      Constructs a new WakeupOnEntry criterion.
      Parameters:
        `region` - the region that will trigger a wakeup if a ViewPlatform intersects.

  - ### Method Detail

    - #### getBounds

          public Bounds getBounds()

      Returns this object's bounds specification
      Returns:
        the bounds used in constructing this WakeupCriterion.

    - #### getTriggeringViewPlatform

          public ViewPlatform getTriggeringViewPlatform()

      Retrieves the ViewPlatform node that caused the wakeup.
      Returns:
        the triggering ViewPlatform node
      Throws:
        `java.lang.IllegalStateException` - if not called from within a behavior's processStimulus method that was awoken by a view platform entry.
      Since:
        Java 3D 1.3

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.